var menu = function(){
//		Declare one handler function which we will reference in several configs
		var menuHandler = function(menuOption) {
			Ext.Msg.alert("You clicked " + menuOption.text, "Not implemented yet");
		};

//		Declare a menu items array of configs which we use for both menus
		var menuItems = [{
			text: 'Menu Option 1',
			icon: 'images/flag_blue.png',
			menu: {
				items: [{
					text: 'Menu Option 1.1',
					icon: 'images/flag_blue.png',
					handler: menuHandler
				}, {
					text: 'Menu Option 1.2',
					iconCls: 'flag-green',
					handler: menuHandler
				}, {
					text: 'Menu Option 1.3',
					iconCls: 'flag-orange',
					handler: menuHandler
				}]
			}
		},{
			text: 'Menu Option 2',
			iconCls: 'flag-green',
			menu: {
				plain: true,
				items: {
					xtype: 'form',
					border: false,
					bodyStyle: 'background:transparent;padding:5px',
					labelWidth: 70,
					width: 300,
					defaults: {
						anchor: '100%'
					},
					items: [{
						xtype: 'combo',
						editable: false,
						fieldLabel: 'Select',
						triggerAction: 'all',
						store: [ [0, 'One or...'], [1 ,'The other']],
						value: 0,
						getListParent: function() {
							return this.el.up('div.x-menu');
						}
					}, {
						xtype: 'textfield',
						fieldLabel: 'Title'
					}],
					fbar: [{
						text: 'Submit'
					}]
				}
			},
		},{
			text: 'Menu Option 3',
			iconCls: 'flag-orange',
			handler: menuHandler
		}];

		new Ext.menu.Menu({
			renderTo: document.body,
			width: 150,
			floating: false,
			items: menuItems
		});
		var contextMenu = new Ext.menu.Menu({
			items: menuItems
		});
		Ext.getDoc().on({
			contextmenu: function(eventObj) {
				contextMenu.showAt(eventObj.getXY());
			},
			stopEvent: true
		});
	}

		Ext.onReady(menu);